setwd("~/Dropbox/ aaWittkopp_lab/ PROJECTS/LATENT ENHANCERS/")

mel_pse <- read.table("promoterwise_lines_DmelDpse_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
mel_pse
dim(mel_pse)
nrow(mel_pse)
head(mel_pse)
mel_pse
mel_pse$orientation <- "+"

pse_wil <- read.table("promoterwise_lines_DpseDwil_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
pse_wil
dim(pse_wil)
pse_wil

wil_mel <- read.table("promoterwise_lines_DwilDmel_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
wil_mel
dim(wil_mel)


#######################################################
#######################################################
pdf('Sophophora_yellow_5prime_aligned_new_data_boundaries_w-motifs20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

rect(0+1913, 35, 4026+1913, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+713, 25, 5226+713, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0, 15, 5939, 14, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+1913, 5, 4026+1913, 4, xpd=TRUE, cex=2, col="#0072B2", border = NA)

rect(0+1913, 35, 1903+1913, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(2724+1913, 35, 3747+1913, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+1913, 35, 964+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(864+1913, 35, 1903+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(1803+1913, 35, 2824+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(2724+1913, 35, 3747+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(3647+1913, 35, 4026+1913, 34, xpd=TRUE, cex=2, col=NA)

rect(0+713, 25, 2888+713, 24, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+713, 25, 1019+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(919+713, 25, 1920+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1820+713, 25, 2888+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(2788+713, 25, 3788+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(3688+713, 25, 4688+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(4588+713, 25, 5226+713, 24, xpd=TRUE, cex=TRUE, col=NA)

rect(254, 16, 337, 13, xpd=TRUE, cex=2, col="dark gray", border = NA)
rect(2022, 16, 2348, 13, xpd=TRUE, cex=2, col="dark gray", border = NA)
rect(0, 15, 3700, 14, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0, 15, 1000, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(900, 15, 1900, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(1800, 15, 2800, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(2700, 15, 3700, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(3600, 15, 4600, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(4500, 15, 5500, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(5400, 15, 5939, 14, xpd=TRUE, cex=TRUE, col=NA)

rect(0+1913, 5, 1903+1913, 4, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(2724+1913, 5, 3747+1913, 4, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+1913, 5, 964+1913, 4, xpd=TRUE, cex=2, col=NA)
rect(864+1913, 5, 1903+1913, 4, xpd=TRUE, cex=2, col=NA)
rect(1803+1913, 5, 2824+1913, 4, xpd=TRUE, cex=2, col=NA)
rect(2724+1913, 5, 3747+1913, 4, xpd=TRUE, cex=2, col=NA)
rect(3647+1913, 5, 4026+1913, 4, xpd=TRUE, cex=2, col=NA)

#FIMO Dmel y 5' motifs
segments(2261+1913, 35, 2261+1913, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(2664+1913, 35, 2664+1913, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(681+1913, 35, 681+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(684+1913, 35, 684+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(673+1913, 35, 673+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(136+1913, 35, 136+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3909+1913, 35, 3909+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1430+1913, 35, 1430+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3899+1913, 35, 3899+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1642+1913, 35, 1642+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1

segments(2261+1913, 5, 2261+1913, 4, xpd=TRUE, col="gold") #gold is AbdB
segments(2664+1913, 5, 2664+1913, 4, xpd=TRUE, col="gold") #gold is AbdB
segments(681+1913, 5, 681+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(684+1913, 5, 684+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(673+1913, 5, 673+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(136+1913, 5, 136+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3909+1913, 5, 3909+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1430+1913, 5, 1430+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3899+1913, 5, 3899+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1642+1913, 5, 1642+1913, 4, xpd=TRUE, col="magenta") #magenta is Bab1


#FIMO Dpse y 5' motifs
segments(3417+713, 25, 3417+713, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(1884+713, 25, 1884+713, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3384+713, 25, 3384+713, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1416+713, 25, 1416+713, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3197+713, 25, 3197+713, 24, xpd=TRUE, col="chartreuse") #chartreuse is dsx
segments(448+713, 25, 448+713, 24, xpd=TRUE, col="chartreuse") #chartreuse is dsx

#FIMO Dwil y 5' motifs
segments(1118, 15, 1118, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(4464, 15, 4464, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(4962, 15, 4962, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(630, 15, 630, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(633, 15, 633, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(636, 15, 636, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(639, 15, 639, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(642, 15, 642, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(645, 15, 645, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1157, 15, 1157, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2035, 15, 2035, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1349, 15, 1349, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2476, 15, 2476, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(1388, 15, 1388, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(3115, 15, 3115, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk

counter <- 1
for (entry in 1:nrow(mel_pse)){
  if (mel_pse[counter,2] %in% c(1:1903, 2724:3747) & mel_pse[counter,4] %in% c(1:2888)){
    lines(x=c(mel_pse[counter,1]+1913,mel_pse[counter,3]+713), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(mel_pse[counter,2]+1913,mel_pse[counter,4]+713), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   else if (mel_pse[counter,5]=="-"){
     lines(x=c(mel_pse[counter,1]+1913,mel_pse[counter,3]+713), y = c(34,25), type = "l", col="light gray", lwd=1)
     lines(x=c(mel_pse[counter,2]+1913,mel_pse[counter,4]+713), y = c(34,25), type = "l", col="light gray", lwd=1)    
     counter <- counter +1
   }
  else{
     lines(x=c(mel_pse[counter,1]+1913,mel_pse[counter,3]+713), y = c(34,25), type = "l", col="black", lwd=1)
     lines(x=c(mel_pse[counter,2]+1913,mel_pse[counter,4]+713), y = c(34,25), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}

counter <- 1
for (entry in 1:nrow(pse_wil)){
  if (pse_wil[counter,2] %in% c(1:2888) & pse_wil[counter,4] %in% c(1:3747)){
    lines(x=c(pse_wil[counter,1]+713,pse_wil[counter,3]), y = c(24,15), type = "l", col="red", lwd=1)
    lines(x=c(pse_wil[counter,2]+713,pse_wil[counter,4]), y = c(24,15), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   else if (pse_wil[counter,5]=="-"){
     lines(x=c(pse_wil[counter,1]+713,pse_wil[counter,3]), y = c(24,15), type = "l", col="light gray", lwd=1)
     lines(x=c(pse_wil[counter,2]+713,pse_wil[counter,4]), y = c(24,15), type = "l", col="light gray", lwd=1)  
     counter <- counter +1
   }
  else{
     lines(x=c(pse_wil[counter,1]+713,pse_wil[counter,3]), y = c(24,15), type = "l", col="black", lwd=1)
     lines(x=c(pse_wil[counter,2]+713,pse_wil[counter,4]), y = c(24,15), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}

counter <- 1
for (entry in 1:nrow(wil_mel)){
  if (wil_mel[counter,1] %in% c(1:3747) & wil_mel[counter,3] %in% c(1:1903, 2747:3747)){
    lines(x=c(wil_mel[counter,1],wil_mel[counter,3]+1913), y = c(14,5), type = "l", col="red", lwd=1)
    lines(x=c(wil_mel[counter,2],wil_mel[counter,4]+1913), y = c(14,5), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   else if (wil_mel[counter,5]=="-"){
     lines(x=c(wil_mel[counter,1],wil_mel[counter,3]+1913), y = c(14,5), type = "l", col="light gray", lwd=1)
     lines(x=c(wil_mel[counter,2],wil_mel[counter,4]+1913), y = c(14,5), type = "l", col="light gray", lwd=1)  
     counter <- counter +1
   }
  else {
     lines(x=c(wil_mel[counter,1],wil_mel[counter,3]+1913), y = c(14,5), type = "l", col="black", lwd=1)
     lines(x=c(wil_mel[counter,2],wil_mel[counter,4]+1913), y = c(14,5), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}
mtext(text = expression(italic("yellow")), side =3, line = -1)
mtext(text = "5' intergenic", line = -2)
mtext(text = expression(italic("D.melanogaster")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.pseudoobscura")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.willistoni")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = 6.7, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.melanogaster")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = 15, cex = 1, col = NA, font = NA, las=1)

rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)

rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)

rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)


dev.off()
####################################################################################
####################################################################################
######intron alignments######
mel_pse <- read.table("promoterwise_lines_DmelDpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
mel_pse
dim(mel_pse)
nrow(mel_pse)

pse_wil <- read.table("promoterwise_lines_DpseDwil_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
pse_wil
dim(pse_wil)

wil_mel <- read.table("promoterwise_lines_DwilDmel_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
wil_mel
dim(wil_mel)

pdf('Sophophora_yellow_intron_aligned_new_data_boundaries_w-motifs20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

rect(0+930, 35, 2825+930, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+82, 25, 3673+82, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0, 15, 3755, 14, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+930, 5, 2825+930, 4, xpd=TRUE, cex=2, col="#0072B2", border = NA)

rect(0+930, 35, 1000+930, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+930, 35, 1000+930, 34, xpd=TRUE, cex=2, col=NA)
rect(900+930, 35, 1900+930, 34, xpd=TRUE, cex=2, col=NA)
rect(1800+930, 35, 2825+930, 34, xpd=TRUE, cex=2, col=NA)


rect(900+82, 25, 2700+82,24, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+82, 25, 1000+82, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(900+82, 25, 1900+82, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1800+82, 25, 2800+82, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(2700+82, 25, 3673+82, 24, xpd=TRUE, cex=TRUE, col=NA)

rect(1800, 15, 2800, 14, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0, 15, 1000, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(900, 15, 1900, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(1800, 15, 2800, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(2700, 15, 3755, 14, xpd=TRUE, cex=TRUE, col=NA)


rect(0+930, 5, 1000+930, 4, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+930, 5, 1000+930, 4, xpd=TRUE, cex=2, col=NA)
rect(900+930, 5, 1900+930, 4, xpd=TRUE, cex=2, col=NA)
rect(1800+930, 5, 2825+930, 4, xpd=TRUE, cex=2, col=NA)

#FIMO Dmel y intron motifs
segments(693+930, 35, 693+930, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(413+930, 35, 413+930, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(757+930, 35, 757+930, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(1363+930, 35, 1363+930, 34, xpd=TRUE, col="magenta") #magenta is Bab1

segments(693+930, 5, 693+930, 4, xpd=TRUE, col="gold") #gold is AbdB
segments(413+930, 5, 413+930, 4, xpd=TRUE, col="gold") #gold is AbdB
segments(757+930, 5, 757+930, 4, xpd=TRUE, col="gold") #gold is AbdB
segments(1363+930, 5, 1363+930, 4, xpd=TRUE, col="magenta") #magenta is Bab1

#FIMO Dpse y intron motifs
segments(1055+82, 25, 1055+82, 24, xpd=TRUE, col="gold") #gold is AbdB

#FIMO Dwil y intron motifs
segments(1184, 15, 1184, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(683, 15, 683, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(802, 15, 802, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2518, 15, 2518, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3666, 15, 3666, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3000, 15, 3000, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsx


counter <- 1
for (entry in 1:nrow(mel_pse)){
  if (mel_pse[counter,2] %in% c(0:1000) & mel_pse[counter,4] %in% c(900:2700)){
    lines(x=c(mel_pse[counter,1]+930,mel_pse[counter,3]+82), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(mel_pse[counter,2]+930,mel_pse[counter,4]+82), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
  else{
     lines(x=c(mel_pse[counter,1]+930,mel_pse[counter,3]+82), y = c(34,25), type = "l", col="black", lwd=1)
     lines(x=c(mel_pse[counter,2]+930,mel_pse[counter,4]+82), y = c(34,25), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}

counter <- 1
for (entry in 1:nrow(pse_wil)){
  if (pse_wil[counter,2] %in% c(900:2700) & pse_wil[counter,4] %in% c(1800:2800)){
    lines(x=c(pse_wil[counter,1]+82,pse_wil[counter,3]), y = c(24,15), type = "l", col="red", lwd=1)
    lines(x=c(pse_wil[counter,2]+82,pse_wil[counter,4]), y = c(24,15), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   
  else{
     lines(x=c(pse_wil[counter,1]+82,pse_wil[counter,3]), y = c(24,15), type = "l", col="black", lwd=1)
     lines(x=c(pse_wil[counter,2]+82,pse_wil[counter,4]), y = c(24,15), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}

counter <- 1
for (entry in 1:nrow(wil_mel)){
  if (wil_mel[counter,1] %in% c(0:1000) & wil_mel[counter,3] %in% c(1801:2800)){
    lines(x=c(wil_mel[counter,1]+930,wil_mel[counter,3]), y = c(5,14), type = "l", col="red", lwd=1)
    lines(x=c(wil_mel[counter,2]+930,wil_mel[counter,4]), y = c(5,14), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
  
  else {
     lines(x=c(wil_mel[counter,1]+930,wil_mel[counter,3]), y = c(5,14), type = "l", col="black", lwd=1)
     lines(x=c(wil_mel[counter,2]+930,wil_mel[counter,4]), y = c(5,14), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}
mtext(text = expression(italic("yellow")), side =3, line = -1)
mtext(text = "intron", line = -2)
mtext(text = expression(italic("D.melanogaster")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.pseudoobscura")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.willistoni")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = 6.7, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D.melanogaster")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = 15, cex = 1, col = NA, font = NA, las=1)

rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)

rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)

rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)


dev.off()

############################################
#####Enhancer Alignments within Species#####
############################################
setwd("~/Dropbox/ aaWittkopp_lab/ PROJECTS/LATENT ENHANCERS/")
#####Dmel 5' to Dmel intron#####
mel5_int <- read.table("promoterwise_lines_Dmely5Dmel_intron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
#Remove promoterwise matches < 15bp
mel5_int$length <- mel5_int$Dmel5_end - mel5_int$Dmel5_start
head(mel5_int)
dim(mel5_int)
mel5_int <- mel5_int[mel5_int$length > 15,]
dim(mel5_int)

pdf('Dmel_yellow_5prime_intron_aligned_new_data_boundaries_onlySD_w-motifs_20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

#intron
rect(0+200, 25, 2825+200, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+200, 25, 1000+200, 24, xpd=TRUE, cex=2, col="#009966", border = NA)
#5'
rect(0+200, 35, 4026+200, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+200, 35, 1903+200, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(2724+200, 35, 3747+200, 34, xpd=TRUE, cex=2, col="#009966", border = NA)

rect(0+200, 25, 1000+200, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(900+200, 25, 1900+200, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1800+200, 25, 2825+200, 24, xpd=TRUE, cex=TRUE, col=NA)

rect(0+200, 35, 964+200, 34, xpd=TRUE, cex=2, col=NA)
rect(864+200, 35, 1903+200, 34, xpd=TRUE, cex=2, col=NA)
rect(1803+200, 35, 2824+200, 34, xpd=TRUE, cex=2, col=NA)
rect(2724+200, 35, 3747+200, 34, xpd=TRUE, cex=2, col=NA)
rect(3647+200, 35, 4026+200, 34, xpd=TRUE, cex=2, col=NA)


#FIMO Dmel y 5' motifs
segments(2261+200, 35, 2261+200, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(2664+200, 35, 2664+200, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(681+200, 35, 681+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(684+200, 35, 684+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(673+200, 35, 673+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(136+200, 35, 136+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3909+200, 35, 3909+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1430+200, 35, 1430+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3899+200, 35, 3899+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1642+200, 35, 1642+200, 34, xpd=TRUE, col="magenta") #magenta is Bab1

#FIMO Dmel y intron motifs
segments(693+200, 25, 693+200, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(413+200, 25, 413+200, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(757+200, 25, 757+200, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(1363+200, 25, 1363+200, 24, xpd=TRUE, col="magenta") #magenta is Bab1



counter <- 1
for (entry in 1:nrow(mel5_int)){
  if (mel5_int[counter,2] %in% c(1:1903, 2724:3747) & mel5_int[counter,4] %in% c(1:1000)){
    lines(x=c(mel5_int[counter,1]+200,mel5_int[counter,3]+200), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(mel5_int[counter,2]+200,mel5_int[counter,4]+200), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
  else if (mel_pse[counter,5]=="-"){
    lines(x=c(mel_pse[counter,1]+930,mel_pse[counter,3]+82), y = c(35,25), type = "l", col="light gray", lwd=1)
    lines(x=c(mel_pse[counter,2]+930,mel_pse[counter,4]+82), y = c(35,25), type = "l", col="light gray", lwd=1)
    counter <- counter +1
  }
  else{
    lines(x=c(mel_pse[counter,1]+930,mel_pse[counter,3]+82), y = c(35,25), type = "l", col="black", lwd=1)
    lines(x=c(mel_pse[counter,2]+930,mel_pse[counter,4]+82), y = c(35,25), type = "l", col="black", lwd=1)
    counter <- counter +1
  }
}

mtext(text = expression(italic("D melanogaster yellow")), side =3, line = -1)

mtext(text = expression(italic("5'")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("intron")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)

rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)

rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)

rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)
dev.off()

#####Dpse 5' to Dpse intron#####
setwd("~/Dropbox/ aaWittkopp_lab/ PROJECTS/LATENT ENHANCERS/")

pse5_int <- read.table("promoterwise_lines_Dpse5Dpseintrony_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
#Remove promoterwise matches < 15bp

pdf('Dpse_yellow_5prime_intron_aligned_new_data_boundaries_w-motifs_20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

#5'
rect(0+713, 35, 5226+713, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+713, 35, 2888+713, 34, xpd=TRUE, cex=2, col="#009966", border = NA)

#intron
rect(0+713, 25, 3673+713, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(900+713, 25, 2700+713,24, xpd=TRUE, cex=2, col="#009966", border = NA)


rect(0+713, 25, 1000+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(900+713, 25, 1900+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1800+713, 25, 2800+713, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(2700+713, 25, 3673+713, 24, xpd=TRUE, cex=TRUE, col=NA)

rect(0+713, 35, 1019+713, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(919+713, 35, 1920+713, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(1820+713, 35, 2888+713, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(2788+713, 35, 3788+713, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(3688+713, 35, 4688+713, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(4588+713, 35, 5226+713, 34, xpd=TRUE, cex=TRUE, col=NA)

#FIMO Dpse y 5' motifs
segments(3417+713, 35, 3417+713, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(1884+713, 35, 1884+713, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3384+713, 35, 3384+713, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1416+713, 35, 1416+713, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3197+713, 35, 3197+713, 34, xpd=TRUE, col="chartreuse") #chartreuse is dsx
segments(448+713, 35, 448+713, 34, xpd=TRUE, col="chartreuse") #chartreuse is dsx

#FIMO Dpse y intron motifs
segments(1055+713, 25, 1055+713, 24, xpd=TRUE, col="gold") #gold is AbdB

counter <- 1
for (entry in 1:nrow(pse5_int)){
  if (pse5_int[counter,2] %in% c(1:2888) & pse5_int[counter,4] %in% c(1:1800)){
    lines(x=c(pse5_int[counter,1]+713,pse5_int[counter,3]+713), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(pse5_int[counter,2]+713,pse5_int[counter,4]+713), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   else if (pse5_int[counter,5]=="-"){
      lines(x=c(pse5_int[counter,1]+713,pse5_int[counter,3]+713), y = c(34,25), type = "l", col="light gray", lwd=1)
      lines(x=c(pse5_int[counter,2]+713,pse5_int[counter,4]+713), y = c(34,25), type = "l", col="light gray", lwd=1)
      counter <- counter +1
    }
  else{
      lines(x=c(pse5_int[counter,1]+713,pse5_int[counter,3]+713), y = c(34,25), type = "l", col="black", lwd=1)
      lines(x=c(pse5_int[counter,2]+713,pse5_int[counter,4]+713), y = c(34,25), type = "l", col="black", lwd=1)
    counter <- counter +1
  }
}

mtext(text = expression(italic("D. pseudoobscura yellow")), side =3, line = -1)

mtext(text = expression(italic("5'")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("intron")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)

rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)

rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)

rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)

dev.off()

#####Dwil 5' to Dwil intron#####
setwd("~/Dropbox/ aaWittkopp_lab/ PROJECTS/LATENT ENHANCERS/")
wil5_int <- read.table("promoterwise_lines_Dwil5Dwilintrony_20bit.txt", sep = ",", header = T, stringsAsFactors = F)

pdf('Dwil_yellow_5prime_intron_aligned_new_data_boundaries_w-motifs_20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

#5'
rect(0, 35, 5939, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0, 35, 3700, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0, 35, 1000, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(900, 35, 1900, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(1800, 35, 2800, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(2700, 35, 3700, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(3600, 35, 4600, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(4500, 35, 5500, 34, xpd=TRUE, cex=TRUE, col=NA)
rect(5400, 35, 5939, 34, xpd=TRUE, cex=TRUE, col=NA)

#intron
rect(0, 25, 3755, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(1800, 25, 2800, 24, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0, 25, 1000, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(900, 25, 1900, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1800, 25, 2800, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(2700, 25, 3755, 24, xpd=TRUE, cex=TRUE, col=NA)

#FIMO Dwil y 5' motifs
segments(1118, 35, 1118, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(4464, 35, 4464, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(4962, 35, 4962, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(630, 35, 630, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(633, 35, 633, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(636, 35, 636, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(639, 35, 639, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(642, 35, 642, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(645, 35, 645, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1157, 35, 1157, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2035, 35, 2035, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1349, 35, 1349, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2476, 35, 2476, 34, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(1388, 35, 1388, 34, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(3115, 35, 3115, 34, xpd=TRUE, col="chartreuse") #chartreuse is dsk

#FIMO Dwil y intron motifs
segments(1184, 25, 1184, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(683, 25, 683, 24, xpd=TRUE, col="gold") #gold is AbdB
segments(802, 25, 802, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2518, 25, 2518, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3666, 25, 3666, 24, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3000, 25, 3000, 24, xpd=TRUE, col="chartreuse") #chartreuse is dsx

counter <- 1
for (entry in 1:nrow(wil5_int)){
  if (wil5_int[counter,2] %in% c(1:3700) & wil5_int[counter,4] %in% c(1800:2800)){
    lines(x=c(wil5_int[counter,1],wil5_int[counter,3]), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(wil5_int[counter,2],wil5_int[counter,4]), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
   else if (wil5_int[counter,5]=="-"){
      lines(x=c(wil5_int[counter,1],wil5_int[counter,3]), y = c(34,25), type = "l", col="light gray", lwd=1)
      lines(x=c(wil5_int[counter,2],wil5_int[counter,4]), y = c(34,25), type = "l", col="light gray", lwd=1)
      counter <- counter +1
    }
  else{
        lines(x=c(wil5_int[counter,1],wil5_int[counter,3]+713), y = c(34,25), type = "l", col="black", lwd=1)
        lines(x=c(wil5_int[counter,2],wil5_int[counter,4]+713), y = c(34,25), type = "l", col="black", lwd=1)
    counter <- counter +1
  }
}

mtext(text = expression(italic("D. willistoni yellow")), side =3, line = -1)

mtext(text = expression(italic("5'")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("intron")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)

rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)

rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)

rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)

dev.off()

##################intron to 5' between species#################
setwd("~/Dropbox/ aaWittkopp_lab/ PROJECTS/LATENT ENHANCERS/")
dmel5_pseint <- read.table("promoterwise_lines_Dmely5Dpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
dmel5_pseint
dwil5_pseint <- read.table("promoterwise_lines_Dwily5Dpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
dwil5_pseint

pdf('Dpse_yellow_intron_aligned_5Prime_new_data_boundaries_w-motifs_20bit.pdf',height=7,width=7)
plot.new()
par(oma=c(0,0,2,6), mar=c(1,1,1,3)+0.1)
plot.window(xlim=c(0,6000), ylim=c(0,40))

#Dmel 5'
rect(0+1913, 35, 4026+1913, 34, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0+1913, 35, 1903+1913, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(2724+1913, 35, 3747+1913, 34, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+1913, 35, 964+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(864+1913, 35, 1903+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(1803+1913, 35, 2824+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(2724+1913, 35, 3747+1913, 34, xpd=TRUE, cex=2, col=NA)
rect(3647+1913, 35, 4026+1913, 34, xpd=TRUE, cex=2, col=NA)
#FIMO Dmel y 5' motifs
segments(2261+1913, 35, 2261+1913, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(2664+1913, 35, 2664+1913, 34, xpd=TRUE, col="gold") #gold is AbdB
segments(681+1913, 35, 681+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(684+1913, 35, 684+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(673+1913, 35, 673+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(136+1913, 35, 136+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3909+1913, 35, 3909+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1430+1913, 35, 1430+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(3899+1913, 35, 3899+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1642+1913, 35, 1642+1913, 34, xpd=TRUE, col="magenta") #magenta is Bab1


#Dpse intron
rect(0+2266, 25, 3673+2266, 24, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(900+2266, 25, 2700+2266,24, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0+2266, 25, 1000+2266, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(900+2266, 25, 1900+2266, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(1800+2266, 25, 2800+2266, 24, xpd=TRUE, cex=TRUE, col=NA)
rect(2700+2266, 25, 3673+2266, 24, xpd=TRUE, cex=TRUE, col=NA)
#FIMO Dpse y intron motifs
segments(1055+2266, 25, 1055+2266, 24, xpd=TRUE, col="gold") #gold is AbdB

#Dwil 5'
rect(0, 15, 5939, 14, xpd=TRUE, cex=2, col="#0072B2", border = NA)
rect(0, 15, 3700, 14, xpd=TRUE, cex=2, col="#009966", border = NA)
rect(0, 15, 1000, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(900, 15, 1900, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(1800, 15, 2800, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(2700, 15, 3700, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(3600, 15, 4600, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(4500, 15, 5500, 14, xpd=TRUE, cex=TRUE, col=NA)
rect(5400, 15, 5939, 14, xpd=TRUE, cex=TRUE, col=NA)
#FIMO Dwil y 5' motifs
segments(1118, 15, 1118, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(4464, 15, 4464, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(4962, 15, 4962, 14, xpd=TRUE, col="gold") #gold is AbdB
segments(630, 15, 630, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(633, 15, 633, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(636, 15, 636, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(639, 15, 639, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(642, 15, 642, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(645, 15, 645, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1157, 15, 1157, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2035, 15, 2035, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(1349, 15, 1349, 14, xpd=TRUE, col="magenta") #magenta is Bab1
segments(2476, 15, 2476, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(1388, 15, 1388, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk
segments(3115, 15, 3115, 14, xpd=TRUE, col="chartreuse") #chartreuse is dsk


counter <- 1
for (entry in 1:nrow(dmel5_pseint)){
  if (dmel5_pseint[counter,2] %in% c(1:1903, 2724:3747) & dmel5_pseint[counter,4] %in% c(1:2888)){
    lines(x=c(dmel5_pseint[counter,1]+1913,dmel5_pseint[counter,3]+2266), y = c(34,25), type = "l", col="red", lwd=1)
    lines(x=c(dmel5_pseint[counter,2]+1913,dmel5_pseint[counter,4]+2266), y = c(34,25), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
  else if (dmel5_pseint[counter,5]=="-"){
    lines(x=c(dmel5_pseint[counter,1]+1913,dmel5_pseint[counter,3]+2266), y = c(34,25), type = "l", col="light gray", lwd=1)
    lines(x=c(dmel5_pseint[counter,2]+1913,dmel5_pseint[counter,4]+2266), y = c(34,25), type = "l", col="light gray", lwd=1)    
    counter <- counter +1
  }
  else{
    lines(x=c(dmel5_pseint[counter,1]+1913,dmel5_pseint[counter,3]+2266), y = c(34,25), type = "l", col="black", lwd=1)
    lines(x=c(dmel5_pseint[counter,2]+1913,dmel5_pseint[counter,4]+2266), y = c(34,25), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}

counter <- 1
for (entry in 1:nrow(dwil5_pseint)){
  if (dwil5_pseint[counter,2] %in% c(1:3700) & dwil5_pseint[counter,4] %in% c(900:1900)){
    lines(x=c(dwil5_pseint[counter,1],dwil5_pseint[counter,3]+2266), y = c(15,24), type = "l", col="red", lwd=1)
    lines(x=c(dwil5_pseint[counter,2],dwil5_pseint[counter,4]+2266), y = c(15,24), type = "l", col="red", lwd=1)  
    counter <- counter +1
  }
  else if (dwil5_pseint[counter,5]=="-"){
    lines(x=c(dwil5_pseint[counter,1],dwil5_pseint[counter,3]+2266), y = c(15,24), type = "l", col="light gray", lwd=1)
    lines(x=c(dwil5_pseint[counter,2],dwil5_pseint[counter,4]+2266), y = c(15,24), type = "l", col="light gray", lwd=1)  
    counter <- counter +1
  }
  else{
    lines(x=c(dwil5_pseint[counter,1],dwil5_pseint[counter,3]+2266), y = c(15,24), type = "l", col="black", lwd=1)
    lines(x=c(dwil5_pseint[counter,2],dwil5_pseint[counter,4]+2266), y = c(15,24), type = "l", col="black", lwd=1)  
    counter <- counter +1
  }
}


rect(5500, 40, 5600, 41, xpd=TRUE, cex=2, col="magenta", border = NA)
mtext(text = expression(italic("Bab motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -23, cex = 1, col = NA, font = NA, las=1)
rect(5500, 38, 5600, 39, xpd=TRUE, cex=2, col="gold", border = NA)
mtext(text = expression(italic("Abd-B motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -20.7, cex = 1, col = NA, font = NA, las=1)
rect(5500, 36, 5600, 37, xpd=TRUE, cex=2, col="chartreuse", border = NA)
mtext(text = expression(italic("Dsx motif")), side = 4, line = -2, outer = FALSE, at = NA,adj = 0, padj = -18.5, cex = 1, col = NA, font = NA, las=1)

mtext(text = expression(italic("D. melanogaster y 5'")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -13, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D. pseudoobscura y intron")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = -3.5, cex = 1, col = NA, font = NA, las=1)
mtext(text = expression(italic("D. willistoni y 5'")), side = 4, line = 0, outer = FALSE, at = NA,adj = 0, padj = 6.7, cex = 1, col = NA, font = NA, las=1)

dev.off()

###################################
#############scoring###############

##Gizem suggested that I develop a scoring system to compare the relative levels of identity

melpse5 <- read.table("promoterwise_lines_DmelDpse_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F)
lmel5 <- 4096
lpse5 <- 5226
lwil5 <- 5939
lmeli <- 2825
lpsei <- 3673
lwili <- 3755

percentID <- function(pwise, spp1enh, spp2enh){
  z <- (sum(abs(pwise[2]-pwise[1])) + sum(abs(pwise[4]-pwise[3])))/(spp1enh+spp2enh)
  return(z)
}
###5'  
percentID(read.table("promoterwise_lines_DmelDpse_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmel5, lpse5)
percentID(read.table("promoterwise_lines_DwilDmel_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmel5, lwil5)
percentID(read.table("promoterwise_lines_DpseDwil_y5_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lpse5, lwil5)
###intron
percentID(read.table("promoterwise_lines_DmelDpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmeli, lpsei)
percentID(read.table("promoterwise_lines_DwilDmel_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmeli, lwili)
percentID(read.table("promoterwise_lines_DpseDwil_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lpsei, lwili)
##within spp
percentID(read.table("promoterwise_lines_Dmely5Dmel_intron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmel5, lmeli)
percentID(read.table("promoterwise_lines_Dpse5Dpseintrony_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lpse5, lpsei)
percentID(read.table("promoterwise_lines_Dwil5Dwilintrony_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lwil5, lwili)
##between spp and enhacers
percentID(read.table("promoterwise_lines_Dmely5Dpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lmel5, lpsei)
percentID(read.table("promoterwise_lines_Dwily5Dpse_yintron_20bit.txt", sep = ",", header = T, stringsAsFactors = F), lwil5, lpsei)
percentID(read.table("promoterwise_lines_DwilintronDmel_y5prime.txt", sep = ",", header = T, stringsAsFactors = F), lwili, lmel5)
